# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapNodeOfDataMapOfTRI Class Reference

`#include <StepToTopoDS_DataMapNodeOfDataMapOfTRI.hxx>`

## Public Member Functions

| StepToTopoDS_DataMapNodeOfDataMapOfTRI (const Handle(StepShape_TopologicalRepresentationItem)&K, const TopoDS_Shape &I, const TCollection_MapNodePtr &n)
Handle_StepShape_TopologicalRepresentationItem & | Key () const
TopoDS_Shape & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_TopologicalRepresentationItem | myKey
TopoDS_Shape | myValue

## Constructor & Destructor Documentation

StepToTopoDS_DataMapNodeOfDataMapOfTRI::StepToTopoDS_DataMapNodeOfDataMapOfTRI | ( | const Handle(StepShape_TopologicalRepresentationItem)& | K,
|  | const TopoDS_Shape & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const StepToTopoDS_DataMapNodeOfDataMapOfTRI::Handle | ( | Standard_Type |  | ) | const

Handle_StepShape_TopologicalRepresentationItem& StepToTopoDS_DataMapNodeOfDataMapOfTRI::Key | ( |  | ) | const

TopoDS_Shape& StepToTopoDS_DataMapNodeOfDataMapOfTRI::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_TopologicalRepresentationItem StepToTopoDS_DataMapNodeOfDataMapOfTRI::myKey `[private]`

TopoDS_Shape StepToTopoDS_DataMapNodeOfDataMapOfTRI::myValue `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapNodeOfDataMapOfTRI.hxx